%define		_class		UDDI
%define		_status		alpha
%define		_pearname	%{_class}

Summary:	%{_pearname} - API for PHP
Name:		php-pear-%{_pearname}
Version:	0.2.4
Release:	%mkrel 13
License:	PHP License
Group:		Development/PHP
Source0:	https://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		https://pear.php.net/package/UDDI/
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	dos2unix
Provides:	pear(UDDI.php)

%description
Implementation of Universal Description, Discovery and Integration API
for locating and publishing Web Services in a UBR (UDDI Business
Registry).

In PEAR status of this package is: %{_status}.

%prep

%setup -q -c

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%install
install -d %{buildroot}%{_datadir}/pear/%{_class}

install %{_pearname}-%{version}/*.php %{buildroot}%{_datadir}/pear/%{_class}

install -d %{buildroot}%{_datadir}/pear/packages
install -m0644 package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi
if [ "$1" = "2" ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
	fi
fi

%preun
if [ "$1" = 0 ]; then
	if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
		%{_bindir}/pear uninstall --nodeps -r %{_pearname}
	fi
fi

%files
%defattr(644,root,root,755)
%doc %{_pearname}-%{version}/examples
%{_datadir}/pear/%{_class}/*.php
%{_datadir}/pear/packages/%{_pearname}.xml






%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.2.4-13.mga9
+ Revision: 1806783
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.4-12.mga8
+ Revision: 1499222
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.4-11.mga7
+ Revision: 1274095
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.4-10.mga6
+ Revision: 944750
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-9.mga5
+ Revision: 742237
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 tv <tv> 0.2.4-8.mga5
+ Revision: 737357
- bump release
- add missing provides

* Wed Oct 01 2014 tv <tv> 0.2.4-7.mga5
+ Revision: 734193
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-6.mga5
+ Revision: 687500
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.4-5.mga4
+ Revision: 517229
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-4.mga3
+ Revision: 377385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 spuhler <spuhler> 0.2.4-3.mga3
+ Revision: 331329
- drpped in dos2unix the invalid -U option to make it rebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.2.4-2.mga1
+ Revision: 44396
- removed buildroot definition from .spec
- imported package php-pear-UDDI


* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.2.4-2mdv2010.0
+ Revision: 441664
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.2.4-1mdv2009.1
+ Revision: 368274
- Update php pear UDDI to 0.2.4 version

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-3mdv2009.1
+ Revision: 322728
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2009.0
+ Revision: 237156
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-1mdv2008.0
+ Revision: 15756
- 0.2.3


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 82792
- Import php-pear-UDDI

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.2-1mdk
- 0.2.2

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdk
- 0.2.1
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdk
- initial Mandriva package (PLD import)

